## jshon 20131010

=== Makefile ===
# jshon - command line JSON parsing

CFLAGS := -std=c99 -Wall -pedantic -Wextra -Werror ${CFLAGS}
LDLIBS  = -ljansson
INSTALL=install
DESTDIR?=/
MANDIR=$(DESTDIR)/usr/share/man/man1/
TARGET_PATH=$(DESTDIR)/usr/bin
DISTFILES=jshon
MANFILE=jshon.1

#VERSION=$(shell date +%Y%m%d)
VERSION=$(shell git show -s --format="%ci" HEAD | cut -d ' ' -f 1 | tr -d '-')
#VERSION=$(grep "^#define JSHONVER" | cut -d ' ' -f 3)

all: $(DISTFILES)

$(DISTFILES): jshon.o

strip: $(DISFILES)
	strip --strip-all $(DISTFILES)

clean:
	rm -f *.o $(DISTFILES)

install:
	$(INSTALL) -D $(DISTFILES) $(TARGET_PATH)/$(DISTFILES)
	$(INSTALL) -D $(MANFILE) $(MANDIR)/$(MANFILE)

dist: clean
	sed -i "s/#define JSHONVER .*/#define JSHONVER ${VERSION}/" jshon.c
	sed -i "s/Version:.*"/Version:\t${VERSION}" jshon.spec
	mkdir jshon-${VERSION}
	cp jshon.c jshon.1 Makefile LICENSE jshon-${VERSION}
	tar czf jshon-${VERSION}.tar.gz jshon-${VERSION}
	${RM} -r jshon-${VERSION}

.PHONY: all clean dist strip

=== debian/changelog ===
jshon (20131010-3) unstable; urgency=low

  * More improvements package description
  * Add JSON creation example to the manpage
  * Fix segfault when -F is given a file that does not exist

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Tue, 19 Nov 2013 21:54:43 -0600

jshon (20131010-2) unstable; urgency=low

  * License debian/* files to Expat to match upstream
  * Better descriptions for the binary package and patches
  * Remove boilerplate comments from debian/rules

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Thu, 07 Nov 2013 12:07:21 -0600

jshon (20131010-1) unstable; urgency=low

  * Initial release (Closes: #697530)  

 -- Jordan Metzmeier <jmetzmeier01@gmail.com>  Mon, 28 Oct 2013 15:04:23 -0500

=== debian/control ===
Source: jshon
Section: utils
Priority: optional
Maintainer: Jordan Metzmeier <jmetzmeier01@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libjansson-dev
Standards-Version: 3.9.4
Homepage: http://kmkeen.com/jshon/

Package: jshon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool to parse, read and create JSON
 Jshon is a command line utility to parse, read and create JSON. It is
 designed to be as usable as possible from within the shell and replaces
 fragile adhoc parsers made from grep/sed/awk as well as heavyweight
 one-line parsers made from Perl/Python. Jshon loads json text from stdin,
 performs actions, then displays the last action on stdout.
 .
 Json parsing features include:
  Return data types of values
  Report data type lengths
  Sort JSON data by keys
  In-place editing of JSON files
  Format or "beautify" JSON (as changing indentation, etc)
  Create JSON from an empty object
  Extraction of keys and values

=== debian/watch ===
# The upstream site doesn't have a reliable way of implement uscan. The
# tarballs available there are not versioned

## jshon 20180209.d919aea

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,19 @@
 TARGET_PATH=$(DESTDIR)/usr/bin
 DISTFILES=jshon
 MANFILE=jshon.1
+ZSHSRC=jshon_zsh_completion
+ZSHCOMP=$(DESTDIR)/usr/share/zsh/site-functions/_pbpst
 
 #VERSION=$(shell date +%Y%m%d)
 VERSION=$(shell git show -s --format="%ci" HEAD | cut -d ' ' -f 1 | tr -d '-')
+# git show -s --format="%ci" HEAD | sed -e 's/-//g' -e 's/ .*//'
 #VERSION=$(grep "^#define JSHONVER" | cut -d ' ' -f 3)
 
 all: $(DISTFILES)
 
 $(DISTFILES): jshon.o
 
-strip: $(DISFILES)
+strip: $(DISTFILES)
 	strip --strip-all $(DISTFILES)
 
 clean:
@@ -26,10 +29,11 @@
 install:
 	$(INSTALL) -D $(DISTFILES) $(TARGET_PATH)/$(DISTFILES)
 	$(INSTALL) -D $(MANFILE) $(MANDIR)/$(MANFILE)
+	$(INSTALL) -D $(ZSHSRC) $(ZSHCOMP)
 
 dist: clean
 	sed -i "s/#define JSHONVER .*/#define JSHONVER ${VERSION}/" jshon.c
-	sed -i "s/Version:.*"/Version:\t${VERSION}" jshon.spec
+	sed -i "s/Version:.*/Version:\t${VERSION}/" jshon.spec
 	mkdir jshon-${VERSION}
 	cp jshon.c jshon.1 Makefile LICENSE jshon-${VERSION}
 	tar czf jshon-${VERSION}.tar.gz jshon-${VERSION}

=== debian/changelog ===
jshon (20180209.d919aea-1) unstable; urgency=medium

  * Latest upstream commit + all PRs
  * Maintain package in Salvage team
    Closes: #1098403
  * Add myself to Uploaders
  * Set Homepage to Github
    Closes: #1081649
  * Point watch file to latest Git commit
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 13 Mar 2025 05:57:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: jshon
 Section: utils
 Priority: optional
-Maintainer: Jordan Metzmeier <jmetzmeier01@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libjansson-dev
-Standards-Version: 3.9.4
-Homepage: http://kmkeen.com/jshon/
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Jordan Metzmeier <jmetzmeier01@gmail.com>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13), libjansson-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/salvage-team/jshon
+Vcs-Git: https://salsa.debian.org/salvage-team/jshon.git
+Homepage: https://github.com/keenerd/jshon
 
 Package: jshon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	echo "Do not install to /usr/local"

=== debian/watch ===
version=4

# upstream development lived from some interesting PRs which was not tagged as release thus take latest Git commit
opts="mode=git,pretty=%cd.%h" \
    https://github.com/keenerd/jshon.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/keenerd/jshon/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
